<?php
function freekassa_config() 
{
	$configarray = array(
		'FriendlyName' => array(
			'Type' => 'System',
			'Value' => 'Free-kassa'
		),
		'freekassa_url' => array(
			'FriendlyName' => 'URL мерчанта (по умолчанию, //free-kassa.ru/merchant/cash.php)',
			'Type' => 'text',
			'Size' => '100',
			'Default' => '//free-kassa.ru/merchant/cash.php'
		),
		'freekassa_shop' => array(
		  'FriendlyName' => 'Идентификатор магазина',
		  'Type' => 'text',
		  'Size' => '50'
		),
		'freekassa_secret_key_1' => array(
		  'FriendlyName' => 'Первый секретный ключ',
		  'Type' => 'text',
		  'Size' => '100'
		),
		'freekassa_secret_key_2' => array(
		  'FriendlyName' => 'Второй секретный ключ',
		  'Type' => 'text',
		  'Size' => '100'
		),
		'freekassa_logfile' => array(
		  'FriendlyName' => 'Путь до файла для журнализации оплат (например, /freekassa_orders.log)',
		  'Type' => 'text',
		  'Size' => '100'
		),
		'freekassa_ipfilter' => array(
		  'FriendlyName' => 'IP - фильтр обработчика',
		  'Type' => 'text',
		  'Size' => '100',
		  'Default' => '136.243.38.147, 136.243.38.149, 136.243.38.150, 136.243.38.151, 136.243.38.189, 88.198.88.98'
		),
		'freekassa_email_error' => array(
		  'FriendlyName' => 'Email для ошибок оплаты',
		  'Type' => 'text',
		  'Size' => '100'
		)
	);

	return $configarray;
}

function freekassa_link($params) 
{
	global $_LANG;

	$url 			= $params['freekassa_url'];
	$shop_id 		= $params['freekassa_shop'];
	$order_id 		= $params['invoiceid'];
	$amount 		= number_format($params['amount'], 2, '.', '');
	$currency 		= $params['currency'];
	$description 	= base64_encode($params['description']);
	$secret_key_1 	= $params['freekassa_secret_key_1'];
	$method_id 		= $client_email = $debug = '';
	
	$signature =	md5( implode( ":", array($shop_id, $amount, $secret_key_1, $order_id)));
	

	$code = '
		<form id = "form_payment_freekassa" method="GET" action="' . $url . '">
			<input type="hidden" name="m" value="' . $shop_id . '">
			<input type="hidden" name="oa" value="' . $amount . '">
			<input type="hidden" name="o" value="' . $order_id . '">
			<input type="hidden" name="s" value="' . $signature . '">
			<input type="submit" value="' . $_LANG['invoicespaynow'] . '" />
		</form>';

	return $code;
}